<Project Sdk="Microsoft.NET.Sdk">
  <PropertyGroup>
    <OutputType>WinExe</OutputType>
    <TargetFramework>net6.0-windows</TargetFramework>
	  <SatelliteResourceLanguages>zh-Hans</SatelliteResourceLanguages>
    <UseWPF>true</UseWPF>
    <AssemblyName>HKCardIN</AssemblyName>
    <RootNamespace>HKCardIN</RootNamespace>
    <Version>1.0.0.0</Version>
    <Configurations>Debug;Release</Configurations>
    <Copyright>Copyright © HBL 2022</Copyright>
    <FileVersion>1.0.0.0</FileVersion>
    <AssemblyVersion>1.0.0.0</AssemblyVersion>
    <Platforms>AnyCPU;x86</Platforms>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|AnyCPU'">
    <DefineConstants>TRACE;Core</DefineConstants>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x86'">
    <DefineConstants>TRACE;Core</DefineConstants>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|AnyCPU'">
    <DefineConstants>TRACE;Core</DefineConstants>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|x86'">
    <DefineConstants>TRACE;Core</DefineConstants>
  </PropertyGroup>
  <ItemGroup>
    <None Remove="HKResouces\头像.png" />
    <None Remove="HKResouces\背景.jpg" />
  </ItemGroup>
  <ItemGroup>
    <PackageReference Include="HandyControls" Version="3.4.1" />
    <PackageReference Include="Microsoft.Extensions.Configuration.Json" Version="6.0.0" />
    <PackageReference Include="Stylet" Version="1.3.6" />
    <PackageReference Include="SqlSugarCore" Version="5.1.2.7" />
    <PackageReference Include="XExten.Advance" Version="1.2.4.2-preview" />
    <PackageReference Include="Microsoft.Extensions.Configuration" Version="6.0.1" />
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\HKLog\HKLog.csproj" />
    <ProjectReference Include="..\UHFHelper\UHFHelper.csproj" />
  </ItemGroup>
  <ItemGroup>
    <Resource Include="HKResouces\头像.png" />
    <Resource Include="HKResouces\背景.jpg" />
  </ItemGroup>
  <ItemGroup>
    <None Update="options.json">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </None>
  </ItemGroup>
</Project>
